---
title: GlobalEventHandlers.onauxclick
slug: Web/API/GlobalEventHandlers/onauxclick
tags:
  - API
  - Event Handler
  - Experimental
  - GlobalEventHandlers
  - Property
  - Reference
  - auxclick
---
<div>{{ApiRef("HTML DOM")}} {{SeeCompatTable}}</div>

<p>The <code><strong>onauxclick</strong></code> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} for processing {{event("auxclick")}} events.</p>

<p>The <code>auxclick</code> event is raised when a non-primary button has been pressed on an input device (e.g., a middle mouse button). It fires after the {{event("mousedown")}} and {{event("mouseup")}} events, in that order.</p>

<div class="notecard note">
<p><strong>Note:</strong> Browser vendors are implementing this property as part of a plan to improve compatibility with regards to button behaviors. Specifically, event behavior is being updated so that {{Event("click")}} only fires for primary button clicks (e.g., left mouse button), while {{Event("auxclick")}} fires for non-primary button clicks. Historically, {{Event("click")}} has generally fired for the click of <em>any</em> device input button, although with browser behavior being somewhat inconsistent.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>target</var>.onauxclick = <var>functionRe<em>f</em></var>;
</pre>

<h3 id="Value">Value</h3>

<p><code>functionRef</code> is a function name or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives a {{domxref("MouseEvent")}} object as its sole argument. Within the function, <code><a href="/en-US/docs/Web/JavaScript/Reference/Operators/this">this</a></code> will be the element upon which the event was triggered.</p>

<p>Only one <code>onauxclick</code> handler can be assigned to an object at a time. You may prefer to use the {{domxref("EventTarget.addEventListener()")}} method instead, since it's more flexible.</p>

<h2 id="Example">Example</h2>

<p>In this example we define functions for two event handlers — {{domxref("GlobalEventHandlers.onclick", "onclick")}} and <code>onauxclick</code>. The former changes the color of the button background, while the latter changes the button foreground (text) color. You can see the two functions in action by trying the demo out with a multi-button mouse (<a href="https://mdn.github.io/dom-examples/auxclick/">see it live on GitHub</a>; also <a href="https://github.com/mdn/dom-examples/blob/master/auxclick/index.html">see the source code</a>).</p>

<pre class="brush: js">var button = document.querySelector('button');
var html = document.querySelector('html');

function random(number) {
  return Math.floor(Math.random() * number);
}

button.onclick = function() {
  var rndCol = 'rgb(' + random(255) + ',' + random(255) + ',' + random(255) + ')';
  button.style.backgroundColor = rndCol;
};

button.onauxclick = function() {
  var rndCol = 'rgb(' + random(255) + ',' + random(255) + ',' + random(255) + ')';
  button.style.color = rndCol;
}</pre>

<div class="note">
<p><strong>Note</strong>: If you are using a three-button mouse, you'll notice that the <code>onauxclick</code> handler is run when either of the non-left mouse buttons are clicked.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('UI Events','#event-type-auxclick','onauxclick')}}</td>
   <td>{{Spec2('UI Events')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.onauxclick")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("auxclick")}} event</li>
 <li>Related event handlers
  <ul>
   <li>{{domxref("GlobalEventHandlers.onclick")}}</li>
   <li>{{domxref("GlobalEventHandlers.ondblclick")}}</li>
  </ul>
 </li>
</ul>
